From dcbeebbcc4a5432918be2e2a3cbe51657dff8420 Mon Sep 17 00:00:00 2001
From: Aaron Cannon <cannona@fireantproductions.com>
Date: Sun, 7 Sep 2014 11:30:59 -0500
Subject: [PATCH] Speak typed words is disabled in protected edit fields. #4402

---
 source/speech.py | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/source/speech.py b/source/speech.py
index add2bbb..1fbcc7c 100755
--- a/source/speech.py
+++ b/source/speech.py
@@ -536,7 +536,8 @@ def speakSelectionChange(oldInfo,newInfo,speakSelected=True,speakUnselected=True
 
 def speakTypedCharacters(ch):
 	global curWordChars;
-	if api.isTypingProtected():
+	typingIsProtected = api.isTypingProtected()
+	if typingIsProtected:
 		realChar="*"
 	else:
 		realChar=ch
@@ -553,7 +554,7 @@ def speakTypedCharacters(ch):
 		curWordChars=[]
 		if log.isEnabledFor(log.IO):
 			log.io("typed word: %s"%typedWord)
-		if config.conf["keyboard"]["speakTypedWords"]: 
+		if config.conf["keyboard"]["speakTypedWords"] and not typingIsProtected:
 			speakText(typedWord)
 	if config.conf["keyboard"]["speakTypedCharacters"] and ord(ch)>=32:
 		speakSpelling(realChar)
-- 
1.9.4.msysgit.1

